%define major	1
%define libname	%mklibname cerf %{major}
%define devname	%mklibname cerf -d

%global _cmake_skip_rpath %nil

Name:		libcerf
Summary:	Complex error functions, Dawson, Faddeeva, and Voigt function
Version:	1.14
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT
Url:		https://jugit.fz-juelich.de/mlz/libcerf
Source0:	https://jugit.fz-juelich.de/mlz/libcerf/-/archive/v%{version}/%{name}-v%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	clang

%description
A self-contained C library providing complex error functions, based on
Faddeeva's plasma dispersion function w(z).

Also provides Dawson's integral and Voigt's convolution of a Gaussian
and a Lorentzian.

%package -n %{libname}
Summary:	Complex error functions, Dawson, Faddeeva, and Voigt function
Group:		System/Libraries

Obsoletes:  lib64libcerf1
Provides:   lib64libcerf1 = %{version}-%{release}

%description -n %{libname}
A self-contained C library providing complex error functions, based on
Faddeeva's plasma dispersion function w(z).

Also provides Dawson's integral and Voigt's convolution of a Gaussian
and a Lorentzian.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

Obsoletes: lib64libcerf-devel
Provides:   lib64libcerf-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%prep
%setup -q -n %{name}-v%{version}


# Force cmake to use the paths passed at configure time
sed -i -e 's|lib/pkgconfig/|%{_lib}/pkgconfig/|' CMakeLists.txt
sed -i -e 's|DESTINATION lib|DESTINATION %{_lib}|' lib/CMakeLists.txt
sed -i -e 's|${prefix}/lib|@LIB_INSTALL_DIR@|' libcerf.pc.in
sed -i -e 's|@destination@|@CMAKE_INSTALL_PREFIX@|' libcerf.pc.in

# remove cruft
rm -rf fortran/__MACOSX

%build
export CC=clang
%cmake
%cmake_build

%install
rm -rf %buildroot
%cmake_install

rm -rf %buildroot/usr/share/doc

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{version}

%files -n %{devname}
%{_includedir}/cerf.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*


%changelog
* Sun Feb 28 2021 tex - 1.14-1pclos2021
- new version 1.14
